Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-55121

Add environment check for versions where PHP 7.1 is NOT supported

    XMLWordPrintable

    Details

    • Testing Instructions:
      Hide
      1. Using an existing 2.9 install and PHP version 7.1, try to upgrade to 3.0.
      2. On environment check step, make sure you get a warning of unsupported php version.
      3. Make sure you are not able to proceed with the upgrade.
      4. Using PHP version 7.1, do a fresh install.
      5. On environment check step, make sure you get a warning of unsupported php version.
      6. Make sure you are not able to proceed with the install.
      7. Try to do a fresh install of moodle 3.1.
      8. On environment check step, make sure you get a warning of unsupported php version.
      9. Make sure you are not able to proceed with the install.
      10. Change to PHP 7.0, make sure you are able to upgrade from 2.9 and do a fresh install of 3.0 and 3.1.
      Show
      Using an existing 2.9 install and PHP version 7.1, try to upgrade to 3.0. On environment check step, make sure you get a warning of unsupported php version. Make sure you are not able to proceed with the upgrade. Using PHP version 7.1, do a fresh install. On environment check step, make sure you get a warning of unsupported php version. Make sure you are not able to proceed with the install. Try to do a fresh install of moodle 3.1. On environment check step, make sure you get a warning of unsupported php version. Make sure you are not able to proceed with the install. Change to PHP 7.0, make sure you are able to upgrade from 2.9 and do a fresh install of 3.0 and 3.1.
    • Affected Branches:
      MOODLE_30_STABLE, MOODLE_31_STABLE
    • Fixed Branches:
      MOODLE_27_STABLE, MOODLE_29_STABLE, MOODLE_30_STABLE, MOODLE_31_STABLE
    • Pull from Repository:
    • Pull Master Branch:
      MDL-55121-master
    • Sprint:
      3.2 Sprint 7

      Description

      Add env check to 3.0 and 3.1 similar to the one added to previous versions for php7 see MDL-50624

        Attachments

        1. php71_2.png
          php71_2.png
          80 kB
        2. php71.png
          php71.png
          175 kB

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  14/Nov/16